social_media_buttons 0.1.2

  • Readme
  • Changelog
  • Example
  • Installing
  • 82

social_media_buttons #

usage: #

use SocialMediaButton named constructors such as : SocialMediaButton.twitter(), SocialMediaButton.instagram(), SocialMediaButton.linkedin(), SocialMediaButton.github() and more

Widget buildSocialMediaButton(){
  return SocialMediaButton.twitter(
     url: "https://twitter.com/CipliOnat",
     size: 35,
     color: Colors.blue,
  );
}

or Just use onTap callback, be careful onTap and url shouldn't be provided at the same time.

Widget buildSocialMediaButton(){
  return SocialMediaButton.twitter(
     onTap: (){
       print('or just use onTap callback');
     },
     size: 35,
     color: Colors.blue,
  );
}

or just use with Icon widget

Widget buildSocialMediaIcon(){
  return Icon(SocialMediaIcons.github);
}

Getting Started #

This project is a starting point for a Dart package, a library module containing code that can be shared easily across multiple Flutter or Dart projects.

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

[0.1.2] - Button Update #

  • Medium button added

[0.1.1] - Icons Update #

  • Medium article added
  • onTap callback fix

[0.1.0] - Description Update #

  • Project description update

[0.0.1] - Release package #

  • Social Media Icons added.
  • Social Media Button added.

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:social_media_buttons/social_media_button.dart';
import 'package:social_media_buttons/social_media_buttons.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Social Media Buttons',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: Scaffold(
        appBar: AppBar(
          title: Text('Social Media Buttons'),
        ),
        body: GridView.count(
          children: <Widget>[
            Icon(SocialMediaIcons.twitter),
            SocialMediaButton.twitter(
              url: "https://twitter.com/CipliOnat",
              size: 35,
              color: Colors.blue,
            ),
            SocialMediaButton.github(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.stackoverflow(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.instagram(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.spotify(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.whatsapp(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.youtube(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.skype(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.facebook(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.google(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.snapchat(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.linkedin(
              onTap: () {
                print('onTap ');
              },
            ),
            SocialMediaButton.dribbble(
              onTap: () {
                print('onTap ');
              },
            ),
          ],
          crossAxisCount: 3,
        ),
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  social_media_buttons: ^0.1.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:social_media_buttons/social_media_buttons.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
69
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
82
Learn more about scoring.

We analyzed this package on Apr 3, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.6
  • Flutter: 1.12.13+hotfix.8

Maintenance issues and suggestions

Make sure dartdoc successfully runs on your package's source files. (-10 points)

exitCode: 255 stdout: parsing /tmp/pub-dartlang-dartdocPELHDV/pkg/lib/social_media_icons.dart... parsing /tmp/pub-dartlang-dartdocPELHDV/pkg/lib/social_media_buttons.dart... parsing /tmp/pub-dartlang-dartdocPELHDV/pkg/lib/social_media_button.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/collection/collection.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/developer/developer.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/internal/internal.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/_interceptors/interceptors.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/io/io.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/isolate/isolate.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/convert/convert.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/async/async.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/typed_data/typed_data.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/_empty.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/js_util/js_util_dart2js.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/html/html_dart2js.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/math/math.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/core/core.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/_http/http.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/ui/ui.dart... parsing /flutter/bin/cache/pkg/sky_engine/lib/js/js_dart2js.dart... [...] parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/socket_impl.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/socket.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/platform.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/process.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/secure_server_socket.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/secure_socket_impl.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/secure_socket.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/security_context.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/stdio.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/string_transformer.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/io_impl_js/sync_socket.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/driver/driver_impl_vm.dart... parsing /tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/src/driver/default_impl_vm.dart... Initialized dartdoc with 839 libraries in 188.6 seconds documenting social_media_buttons Generating docs for library social_media_button from package:social_media_buttons/social_media_button.dart... Generating docs for library social_media_buttons from package:social_media_buttons/social_media_buttons.dart... Generating docs for library social_media_icons from package:social_media_buttons/social_media_icons.dart... Validating docs... Documented 3 public libraries in 27.6 seconds stderr: Documenting social_media_buttons... error: unresolved export uri: "dart:html_common" from dart-html: (file:///flutter/bin/cache/pkg/sky_engine/lib/html/html_dart2js.dart:17:9) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) warning: private API of package:Dart is reexported by libraries in other packages: from E: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/collections.dart:13:28) referred to by collection: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart:1:1) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) warning: private API of package:Dart is reexported by libraries in other packages: from K: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/maps.dart:374:27) referred to by collection: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart:1:1) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) warning: private API of package:Dart is reexported by libraries in other packages: from V: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/maps.dart:374:30) referred to by collection: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart:1:1) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) warning: ambiguous reexport of dart-_internal.HttpStatus, canonicalization candidates: (universal_html, universal_io, html, html) -> html (confidence 0.000) from dart-_internal.HttpStatus: (file:///flutter/bin/cache/pkg/sky_engine/lib/internal/internal.dart:211:16) universal_html: 0.01000 - name is long (+0.01000) universal_io: 0.01000 - name is long (+0.01000) html: 1.010 - embeds package name (+1.000), name is long (+0.01000) html: 1.010 - embeds package name (+1.000), name is long (+0.01000) Use {@canonicalFor dart:_internal.HttpStatus} in the desired library's documentation to resolve the ambiguity and/or override dartdoc's decision, or structure your package so the reexport is less ambiguous. The symbol will still be referenced in all candidates -- this only controls the location where it will be written and which library will be displayed in navigation for the relevant pages. The flag --ambiguous-reexport-scorer-min-confidence allows you to set the threshold at which this warning will appear. warning: private API of package:Dart is reexported by libraries in other packages: from S: (file:///flutter/bin/cache/pkg/sky_engine/lib/io/socket.dart:548:22) referred to by universal_io: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_io-1.0.1/lib/io.dart:25:9) warning: ambiguous reexport of dart-math.Rectangle, canonicalization candidates: (universal_html, html, html) -> html (confidence 0.000) from dart-math.Rectangle: (file:///flutter/bin/cache/pkg/sky_engine/lib/math/rectangle.dart:123:7) universal_html: 0.01000 - name is long (+0.01000) html: 1.010 - embeds package name (+1.000), name is long (+0.01000) html: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: private API of package:Dart is reexported by libraries in other packages: from T extends num: (file:///flutter/bin/cache/pkg/sky_engine/lib/math/rectangle.dart:123:17) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_universal/html.dart:1:1) referred to by universal_html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/html.dart:34:9) warning: private API of package:Dart is reexported by libraries in other packages: from T extends Event: (file:///flutter/bin/cache/pkg/sky_engine/lib/html/html_dart2js.dart:35734:29) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) referred to by universal_html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/html.dart:34:9) warning: private API of package:Dart is reexported by libraries in other packages: from T extends Element: (file:///flutter/bin/cache/pkg/sky_engine/lib/html/html_dart2js.dart:11265:28) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) referred to by universal_html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/html.dart:34:9) warning: private API of package:Dart is reexported by libraries in other packages: from T extends Event: (file:///flutter/bin/cache/pkg/sky_engine/lib/html/html_dart2js.dart:35514:30) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) referred to by universal_html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/html.dart:34:9) warning: private API of package:Dart is reexported by libraries in other packages: from T extends Event: (file:///flutter/bin/cache/pkg/sky_engine/lib/html/html_dart2js.dart:35425:27) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) referred to by universal_html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/html.dart:34:9) warning: private API of package:Dart is reexported by libraries in other packages: from T: (file:///flutter/bin/cache/pkg/sky_engine/lib/html/html_dart2js.dart:38249:29) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) referred to by universal_html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/html.dart:34:9) warning: private API of package:Dart is reexported by libraries in other packages: from E: (file:///flutter/bin/cache/pkg/sky_engine/lib/html/html_dart2js.dart:36322:35) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) referred to by universal_html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/html.dart:34:9) warning: ambiguous reexport of dart-math.Point, canonicalization candidates: (universal_html, html, html) -> html (confidence 0.000) from dart-math.Point: (file:///flutter/bin/cache/pkg/sky_engine/lib/math/point.dart:9:7) universal_html: 0.01000 - name is long (+0.01000) html: 1.010 - embeds package name (+1.000), name is long (+0.01000) html: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: private API of package:Dart is reexported by libraries in other packages: from T extends num: (file:///flutter/bin/cache/pkg/sky_engine/lib/math/point.dart:9:13) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/html.dart:1:1) referred to by html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_universal/html.dart:1:1) referred to by universal_html: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/html.dart:34:9) warning: ambiguous reexport of dart-ui.hashList, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.hashList: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/hash_codes.dart:114:5) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.hashValues, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.hashValues: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/hash_codes.dart:42:5) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.VoidCallback, canonicalization candidates: (cupertino, foundation, material, painting, rendering, scheduler, widgets) -> widgets (confidence 0.000) from dart-ui.VoidCallback: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:8:9) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) foundation: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) scheduler: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.AccessibilityFeatures, canonicalization candidates: (rendering, semantics) -> semantics (confidence 0.000) from dart-ui.AccessibilityFeatures: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:1208:7) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) semantics: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.FontWeight, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.FontWeight: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:17:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Locale, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Locale: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:248:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Offset, canonicalization candidates: (cupertino, gestures, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Offset: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:119:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) gestures: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Radius, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Radius: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:895:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Rect, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Rect: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:621:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.RRect, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.RRect: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:1018:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.RSTransform, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.RSTransform: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:1645:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Size, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Size: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:347:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextBox, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextBox: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1220:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextDecoration, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextDecoration: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:358:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextPosition, canonicalization candidates: (cupertino, material, painting, rendering, services, widgets) -> widgets (confidence 0.000) from dart-ui.TextPosition: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1364:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) services: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextRange, canonicalization candidates: (cupertino, material, painting, rendering, services, widgets) -> widgets (confidence 0.000) from dart-ui.TextRange: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1410:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) services: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.AppLifecycleState, canonicalization candidates: (cupertino, material, scheduler, widgets) -> widgets (confidence 0.000) from dart-ui.AppLifecycleState: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:154:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) scheduler: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Brightness, canonicalization candidates: (cupertino, material, services) -> services (confidence 0.000) from dart-ui.Brightness: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:1272:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) services: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.FontStyle, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.FontStyle: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:8:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.PlaceholderAlignment, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.PlaceholderAlignment: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1619:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextAffinity, canonicalization candidates: (cupertino, material, painting, rendering, services, widgets) -> widgets (confidence 0.000) from dart-ui.TextAffinity: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1322:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) services: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextAlign, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextAlign: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:317:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextBaseline, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextBaseline: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:349:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextDecorationStyle, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextDecorationStyle: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:417:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextDirection, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextDirection: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1208:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: private API of package:Dart is reexported by libraries in other packages: from E: (file:///flutter/bin/cache/pkg/sky_engine/lib/js/js_dart2js.dart:365:15) referred to by js: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/prefer_sdk/js.dart:1:1) referred to by universal_html.js: (file:///tmp/pub-cache-dirMYFODD/hosted/pub.dartlang.org/universal_html-1.1.20/lib/js.dart💯9) warning: no canonical library found for social_media_button.SocialMediaButton.hashCode, not linking, from social_media_button.SocialMediaButton.hashCode: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart:94:20) warning: no canonical library found for social_media_button.SocialMediaButton.key, not linking, from social_media_button.SocialMediaButton.key: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:414:13) warning: no canonical library found for social_media_button.SocialMediaButton.runtimeType, not linking, from social_media_button.SocialMediaButton.runtimeType: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart:116:21) warning: no canonical library found for social_media_button.SocialMediaButton.createElement, not linking, from social_media_button.SocialMediaButton.createElement: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:574:20) warning: no canonical library found for social_media_button.SocialMediaButton.debugDescribeChildren, not linking, from social_media_button.SocialMediaButton.debugDescribeChildren: (file:///flutter/packages/flutter/lib/src/foundation/diagnostics.dart:3439:25) warning: no canonical library found for social_media_button.SocialMediaButton.debugFillProperties, not linking, from social_media_button.SocialMediaButton.debugFillProperties: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:433:8) warning: no canonical library found for social_media_button.SocialMediaButton.noSuchMethod, not linking, from social_media_button.SocialMediaButton.noSuchMethod: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart:111:20) warning: no canonical library found for social_media_button.SocialMediaButton.toDiagnosticsNode, not linking, from social_media_button.SocialMediaButton.toDiagnosticsNode: (file:///flutter/packages/flutter/lib/src/foundation/diagnostics.dart:3413:19) warning: no canonical library found for social_media_button.SocialMediaButton.toString, not linking, from social_media_button.SocialMediaButton.toString: (file:///flutter/packages/flutter/lib/src/foundation/diagnostics.dart:3092:10) warning: no canonical library found for social_media_button.SocialMediaButton.toStringDeep, not linking, from social_media_button.SocialMediaButton.toStringDeep: (file:///flutter/packages/flutter/lib/src/foundation/diagnostics.dart:3401:10) warning: no canonical library found for social_media_button.SocialMediaButton.toStringShallow, not linking, from social_media_button.SocialMediaButton.toStringShallow: (file:///flutter/packages/flutter/lib/src/foundation/diagnostics.dart:3365:10) warning: no canonical library found for social_media_button.SocialMediaButton.toStringShort, not linking, from social_media_button.SocialMediaButton.toStringShort: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:428:10) warning: no canonical library found for social_media_button.SocialMediaButton.==, not linking, from social_media_button.SocialMediaButton.==: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart:62:26) warning: no canonical library found for social_media_icons.SocialMediaIcons.toString, not linking, from social_media_icons.SocialMediaIcons.toString: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart:99:19) found 55 warnings and 1 error Unhandled exception: dartdoc encountered 1 errors while processing. #0 Dartdoc.generateDocs (package:dartdoc/dartdoc.dart:202:7)

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
universal_html ^1.1.6 1.1.20
url_launcher ^5.2.7 5.4.2
Transitive dependencies
async 2.4.1
charcode 1.1.3
collection 1.14.11 1.14.12
convert 2.1.1
csslib 0.16.1
flutter_web_plugins 0.0.0
html 0.14.0+3
meta 1.1.8
path 1.6.4
petitparser 3.0.2
plugin_platform_interface 1.0.2
sky_engine 0.0.99
source_span 1.7.0
term_glyph 1.1.0
typed_data 1.1.6
universal_io 1.0.1
url_launcher_macos 0.0.1+4
url_launcher_platform_interface 1.0.6
url_launcher_web 0.1.1+1
vector_math 2.0.8
xml 3.7.0 4.1.0
zone_local 0.1.2
Dev dependencies
flutter_test